<template>
    <view class="height-100pre">
        <web-view :src="protocolUrl"></web-view>
    </view>
</template>

<script>
    import extend from '../../utils/extend';
    
    export default {
        data() {
            return {
                protocolUrl: ''
            };
        },
        onLoad(opt) {
            if (extend.isUrl(opt.url)) {
                this.protocolUrl = opt.url;
            } else {
                this.protocolUrl = '/static/protocol.html';
            }
        }
    }
</script>

<style lang="scss">

</style>
